Skip to main content
POST
/
v1
/
chat
/
conversations
cURL
curl --request POST \
  --url https://api.botpress.cloud/v1/chat/conversations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-bot-id: <x-bot-id>' \
  --header 'x-bp-authenticated-principal: <x-bp-authenticated-principal>' \
  --data '
{
  "channel": "<string>",
  "tags": {},
  "integrationName": "<string>",
  "properties": {}
}
'
{
  "conversation": {
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "channel": "<string>",
    "integration": "<string>",
    "tags": {},
    "messageCount": 123,
    "currentTaskId": "<string>",
    "properties": {}
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-bp-authenticated-principal
string
required

Authenticated principal. Injected by the authentication middleware.

x-bot-id
string
required

Bot id

x-integration-id
string

Integration id

x-integration-alias
string

Integration alias

x-real-ip
string

Caller's IP address. Injected by the edge proxy.

Body

application/json

Conversation data

channel
string
required

Channel name

Maximum string length: 200
tags
object
required

Tags for the Conversation

integrationName
string
deprecated

[DEPRECATED] To create a conversation from within a bot, call an action of the integration instead.

Maximum string length: 200
properties
object

EXPERIMENTAL - Optional shared properties that can be accessed and modified by both the bot and any of its integrations.

Response

Returns a Conversation object if creation succeeds. Returns an error otherwise

conversation
object
required

The Conversation object represents an exchange of messages between one or more users. A Conversation is always linked to an integration's channels. For example, a Slack channel represents a conversation.

Last modified on July 3, 2026